ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 1483] New - wrapper script options (e.g., ANT_OPTS) not documented
Date Tue, 24 Apr 2001 19:13:00 GMT
http://nagoya.apache.org/bugzilla/show_bug.cgi?id=1483

*** shadow/1483	Tue Apr 24 12:12:59 2001
--- shadow/1483.tmp.18660	Tue Apr 24 12:12:59 2001
***************
*** 0 ****
--- 1,32 ----
+ +============================================================================+
+ | wrapper script options (e.g., ANT_OPTS) not documented                     |
+ +----------------------------------------------------------------------------+
+ |        Bug #: 1483                        Product: Ant                     |
+ |       Status: NEW                         Version: 1.3                     |
+ |   Resolution:                            Platform: PC                      |
+ |     Severity: Normal                   OS/Version:                         |
+ |     Priority:                           Component: Documentation           |
+ +----------------------------------------------------------------------------+
+ |  Assigned To: ant-dev@jakarta.apache.org                                   |
+ |  Reported By: Daniel.Barclay@digitalfocus.com                              |
+ |      CC list: Cc:                                                          |
+ +----------------------------------------------------------------------------+
+ |          URL:                                                              |
+ +============================================================================+
+ |                              DESCRIPTION                                   |
+ The documentation does not seem to mention special wrapper script features
+ such as environment variable ANTS_OPTS and files %HOME%\antrc_pre.bat and 
+ %HOME%\antrc_pre.bat.
+ 
+ 
+ Also, it would be helpful if the documention mentioned the wrapper script
+ feature of figuring out ANT_HOME even if the environment variable isn't
+ set explicitly.
+ 
+ (Users could realize that the scripts already support (on some operating 
+ system versions) having two different versions of Ant installed and being
+ able to use the simultaneosly without having to dig through the scripts.)
+ 
+ (Additionally, the users could know which of these are features that
+ are intended to be supported, and which are just artifacts of how the
+ scripts were written.)

Mime
View raw message